Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.util.reference
Class MethodPersistentReference

    java.lang.Object
      org.jboss.aop.util.reference.PersistentReference
          org.jboss.aop.util.reference.ArgumentPersistentReference
              org.jboss.aop.util.reference.MethodPersistentReference

public class MethodPersistentReference
extends ArgumentPersistentReference

Copied from org.jboss.serial.references; A reference to a field. In case the reference is released, the reference will be reconstructed

Field Summary

Fields inherited from class org.jboss.aop.util.reference.PersistentReference
`REFERENCE_SOFT, REFERENCE_WEAK`

Constructor Summary
`MethodPersistentReference(Method method, int referenceType)`

Method Summary
`Method` | `getMethod()`
`Object` | `rebuildReference()`

Methods inherited from class org.jboss.aop.util.reference.ArgumentPersistentReference
`getArguments, setArguments`

Methods inherited from class org.jboss.aop.util.reference.PersistentReference
`buildReference, get, getMappedClass, internalGet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodPersistentReference

    public MethodPersistentReference(Method method,
                                     int referenceType)

Method Detail

### rebuildReference

    public Object rebuildReference()
                            throws Exception

  Specified by:
    `rebuildReference` in class `PersistentReference`
  Throws:
    `Exception`

### getMethod

    public Method getMethod()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.